RSCRIPT(1)

NAME
Rscript - front end for scripting with R

SYNOPSIS
Rscript [options] file [args]
Rscript [options] -e expr [-e expr2 ...] [args]

DESCRIPTION
A binary front-end to R, for use in scripting applications.

OPTIONS

--help
    Print usage and exit

--version
    Print version and exit

--verbose
    Print information on progress

--default-packages=LIST
    Attach these packages on startup; a comma-separated LIST of package names, or 'NULL'

  and options to R (in addition to --no-echo --no-restore), for example:

--save
    Do save workspace at the end of the session

--no-environ
    Don't read the site and user environment files

--no-site-file
    Don't read the site-wide Rprofile

--no-init-file
    Don't read the user R profile

--restore
    Do restore previously saved objects at startup

--vanilla
    Combine --no-save, --no-restore, --no-site-file, --no-init-file and --no-environ

Expressions (one or more '-e <expr>') may be used *instead* of 'file'. Any additional 'args' can be accessed from R via 'commandArgs(TRUE)'. See also ?Rscript from within R.